from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XAxis(XInterface, Protocol):
    def setScaleData(self, aScale: ScaleData) -> None: ...
    def getScaleData(self) -> ScaleData: ...
    def getGridProperties(self) -> XPropertySet: ...
    def getSubGridProperties(self) -> list[XPropertySet]: ...
    def getSubTickProperties(self) -> list[XPropertySet]: ...
